#include <iostream>
#include <algorithm>
using namespace std;

int main()
{
    int n,q;
    cin>>n;
    cin>>q;
    int a[n],b[q];
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
    }
    for(int i=0; i<q; i++)
    {
        cin>>b[i];
    }
    sort(a,a+n);
    for(int i=0; i<q; i++)
    {
        int n1=n;
        int resenje=-1;
        int br=0;
        int r=-1;
        int a2[1000];
        for(int i2=0; i2<n; i2++)
                a2[i2]=a[i2];
        while(resenje<0)
        {
            if(r==-1)
            {
            if(n1%2==0)
            {
                if(a2[n1/2]>a2[n1/2-1])
                {
                    r=n1/2;

                }
                else
                {
                    r=n1/2+1;
                }
            }
            else
            {
                r=n1/2;
            }
            }
            else
            {
                if(a2[r]==b[i])
                {
                    resenje=br;
                }
                else if(a2[r]>b[i])
                {
                    for(int ii=n1+1;ii>=0;ii--)
                    {
                        a2[ii]=a2[ii-1];
                    }
                    a2[0]=b[i]-1;
                    n1=n1+1;
                    br++;
                    r=-1;
                }
                else
                {
                    n1=n1+1;
                    a2[n1-1]=b[i];
                    br++;
                    r=-1;
                }
            }
        }
        cout<<resenje<<endl;
    }
    return 0;
}